Bug 1071199 - qemu-kvm numa emulation won't check duplicate node id
Summary: qemu-kvm numa emulation won't check duplicate node id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-28 09:04 UTC by Shaolong Hu
Modified: 2015-03-05 09:44 UTC (History)
8 users (show)

Fixed In Version: QEMU 2.1.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:44:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Shaolong Hu 2014-02-28 09:04:18 UTC
Description of problem:
--------------------------
numa emulation won't check duplicate node id.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
qemu-kvm-rhev-1.5.3-50.el7.x86_64


How reproducible:
-------------------
100%


Steps to Reproduce:
----------------------
some negative test for numa:

1.
-numa node,mem=1024,cpus=0,nodeid=0 -numa node,mem=1024,cpus=1-2,nodeid=1 -numa node,mem=1024,cpus=2-3,nodeid=2
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) info numa
3 nodes
node 0 cpus: 0
node 0 size: 1024 MB
node 1 cpus: 1
node 1 size: 1024 MB
node 2 cpus: 2 3
node 2 size: 1024 MB

2.
-numa node,mem=1024,cpus=0,nodeid=0 -numa node,mem=1024,cpus=1-5,nodeid=1 -numa node,mem=1024,cpus=3,nodeid=2
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) info numa
3 nodes
node 0 cpus: 0
node 0 size: 1024 MB
node 1 cpus: 1 2
node 1 size: 1024 MB
node 2 cpus: 3
node 2 size: 1024 MB

3.
-numa node,mem=1024,cpus=0,nodeid=0 -numa node,mem=1024,cpus=1-5,nodeid=1 -numa node,mem=1024,cpus=3,nodeid=1
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) info numa
3 nodes
node 0 cpus: 0
node 0 size: 1024 MB
node 1 cpus: 1 2 3
node 1 size: 1024 MB
node 2 cpus:
node 2 size: 0 MB



1 and 2 is tolerable, 3 may be a little trouble, in this case, guest only see one node(node 0), but this check can be done by high level tools like libvirt, so WONTFIX is also acceptable, that's why priority is low though severity is high.

Comment 4 Eduardo Habkost 2014-07-10 20:01:42 UTC
Moving to qemu-kvm-rhev. Patches were included upstream and will be on QEMU 2.1.0.

Comment 6 langfang 2014-08-27 07:29:04 UTC
Reproduce this bug as follow version:
Host:

qemu-kvm-rhev-1.5.3-60.el7ev.x86_64

Steps
1)Boot guest with numa nodes (nodeid has same number)
 ...-numa node,mem=1024,cpus=0,nodeid=0 -numa node,mem=1024,cpus=1-5,nodeid=1 -numa node,mem=1024,cpus=3,nodeid=1


Results:
guest can boot up

Verify this bus as follow version:

# uname -r
3.10.0-144.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.0-2.el7.x86_64

Steps as same as reproduce

Results:

qemu-kvm: -numa node,mem=1024,cpus=3,nodeid=1: Duplicate NUMA nodeid: 1

Comment 7 langfang 2014-08-28 02:38:29 UTC
as above test comment6,this bug has been fixed.

Comment 10 errata-xmlrpc 2015-03-05 09:44:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.